using Singular.Web.UI.Controls;

using System;
using System.Collections.Generic;
using System.Security.Principal;
using System.Text;
using System.Web.UI.HtmlControls;
using System.Web.Security;

namespace Singular.Web.UI
{
	/// <summary>
	/// Sample extract base page to demonstrate the addition of the 
	/// scripts and style sheets collections
	/// </summary>
	public abstract class PageBase : System.Web.UI.Page
	{
		#region Private Variables

		ScriptList _scripts = new ScriptList();
		StylesheetList _styles = new StylesheetList();

		#endregion

		#region Properties

		/// <summary>
		/// 
		/// </summary>
		public ScriptList Scripts
		{
			get { return _scripts; }
		}

		/// <summary>
		/// 
		/// </summary>
		public StylesheetList Styles
		{
			get { return _styles; }
		}

		#endregion

		#region OnPreRender

		/// <summary>
		/// 
		/// </summary>
		/// <param name="e"></param>
		protected override void OnPreRender( EventArgs e )
		{
			_scripts.ForEach( Header.Controls.Add );
			_styles.ForEach( Header.Controls.Add );

			base.OnPreRender( e );
		}

		#endregion

	}
}
